PUT api/queue/unsubscribe
Request Information
URI Parameters
None.
Body Parameters
UnsubscribeDto| Name | Description | Type | Additional information |
|---|---|---|---|
| PauseCampaignId | globally unique identifier |
None. |
|
| PauseProductIds | Collection of globally unique identifier |
None. |
|
| PauseMonths | integer |
None. |
|
| All | boolean |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| ClientId | globally unique identifier |
None. |
|
| Language | string |
None. |
|
| Reason | string |
None. |
|
| EmailOrTelephone | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"pauseCampaignId": "374251ae-d08b-454d-972a-9136d38f4cb9",
"pauseProductIds": [
"83777be8-4c0c-4a15-8ad7-8fab9e18ae8e",
"62e5ffb9-2d85-48f3-9a69-5fc7ed85b92e"
],
"pauseMonths": 1,
"all": true,
"personId": "53403b9b-3ce6-4890-ac5c-b0961a4be18d",
"clientId": "bb404ac0-1441-4cc2-bcb6-ae4093a9fe2e",
"language": "sample string 1",
"reason": "sample string 2",
"emailOrTelephone": "sample string 3"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.